/******************************************************************************
 *	File	:	platform.h
 *	Version :	1.1
 *	Date	:	2021/01/26
 *	Author	:	User
 *
 *	Hardware dependency function - Header file
 *
 *	Provide necessary function for EcmUsrDriver
 *
 * @copyright (C) 2020 NEXTW TECHNOLOGY CO., LTD.. All rights reserved.
 *
 ******************************************************************************/
#ifndef _ECM_PLATFORM_H_
#define _ECM_PLATFORM_H_

#ifdef __cplusplus
extern "C"
{
#endif
#include <stdio.h>
void UserSys_Init(uint32_t u32SpiFreq);
void UserSys_Close(void);
int UserSpiDataExchange(uint8_t *pTxBuf, uint8_t *pRxBuf, uint32_t u32PackSize);
int UserDelay(uint32_t MircoSec);
int UserMutexInit(void);
int UserMutexDestroy(void);
int UserMutexLock(void);
int UserMutexTryLock(void);
int UserMutexUnlock(void);
#ifdef __cplusplus
}
#endif

#endif
//	(C) COPYRIGHT 2020 NEXTW Technology Corp.
